[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Git has too many freaking dependencies



Nicolas Mailhot wrote:
Le vendredi 15 février 2008 à 11:13 -0500, Yaakov Nemoy a écrit :

Before I go and submit a bug, I would like to ask why git requires
that i install so many dependencies?

Because git is not git, git is a metapackage.
Welcome to metapackage hell.


+1, I believe this actally is a bug, almost no other package has this, most other packages have:
foo (which contains the core_
foo-addon1
foo-addon2

etc. and then if you really want all you can just do:
yum install 'foo*'

Can we please stop this meta package bs, it hit me too with git, and I do not consider myself a novice when I say:
"yum install git"
I mean:
"yum install git"
and not
"yum install git and anything vaguely git related including an fscking emacs add-on which drags in a whopping XX MB of emacs"

Regards,

Hans (who is seriously annoyed by this)



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]